# availableIndexEntry Struct Reference
[RPMDEP.]

A single available item (e.g. More...

`#include <depends.h>`

## Public Types

enum | indexEntryType { IET_PROVIDES = 1 }

## Data Fields

availablePackage * | package
const char * | entry
int | entryLen
int | entryIx
enum availableIndexEntry::indexEntryType | type

## Detailed Description

A single available item (e.g.

a Provides: dependency).

Definition at line 68 of file depends.h.

## Member Enumeration Documentation

enum availableIndexEntry::indexEntryType

Enumerator:

  IET_PROVIDES | A Provides: dependency.

Definition at line 73 of file depends.h.

## Field Documentation

const char* availableIndexEntry::entry

| Available item name. Definition at line 70 of file depends.h. Referenced by alAllSatisfiesDepend(), and indexcmp().

int availableIndexEntry::entryIx

| Item index. Definition at line 72 of file depends.h. Referenced by alAllSatisfiesDepend().

int availableIndexEntry::entryLen

| No. of bytes in name. Definition at line 71 of file depends.h. Referenced by alAllSatisfiesDepend(), and indexcmp().

struct availablePackage* availableIndexEntry::package

| Containing package. Definition at line 69 of file depends.h. Referenced by alAllSatisfiesDepend().

enum availableIndexEntry::indexEntryType availableIndexEntry::type

| Type of available item. Referenced by alAllSatisfiesDepend().

The documentation for this struct was generated from the following file:

- lib/depends.h